Salta ai contenuti

L'informativa privacy in vigore di un'associazione ai suoi soci (art. 13 GDPR)

GET
/v1/aps/{slug}/privacy-notice
curl --request GET \
--url 'https://api.vimine.network/v1/aps/example/privacy-notice?locale=it'

Il testo che l’associazione mostra all’iscrizione; una richiesta di tesseramento ne attesta la presa visione con {version, sha256}. ?locale=, in mancanza l’italiano.

slug
obbligatorio
string
locale
string
Valori ammessi: it en zh-Hans zh-Hant fr es de pt-BR

Informativa

Tipo di contenutoapplication/json
object
uid
obbligatorio
string formato: uuid
version
obbligatorio
integer
locale
obbligatorio
string
title
string
sha256
string
nullable
effective_from
string formato: date-time
nullable
rendered_sha256
string
content_md
obbligatorio
string
content_html
obbligatorio
string
requires_reacknowledgement
boolean
Esempiogenerato
{
"uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"version": 1,
"locale": "example",
"title": "example",
"sha256": "example",
"effective_from": "2026-04-15T12:00:00Z",
"rendered_sha256": "example",
"content_md": "example",
"content_html": "example",
"requires_reacknowledgement": true
}

Richiesta non valida

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Associazione sconosciuta o nessuna informativa pubblicata

Troppe richieste

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Errore interno

Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}